pydo.reserved_ipv6.create()

Generated on 7 Jul 2026 from pydo version v0.39.0

Usage

client.reserved_ipv6.create(
    body={
        "region_slug": "nyc3",
    },
)
Returns JSONRaises HttpResponseError

Description

On creation, a reserved IPv6 must be reserved to a region.

  • To create a new reserved IPv6 reserved to a region, send a POST request to /v2/reserved_ipv6 with the region_slug attribute.

Parameters

region_slug string required

Example: nyc3

The slug identifier for the region the reserved IPv6 will be reserved to.

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

req = {
  "region_slug": nyc3
}

resp = client.reserved_ipv6s.create(body=req)

Response Example

Show Response Example
{
  "reserved_ipv6": {
    "ip": "2409:40d0:f7:1017:74b4:3a96:105e:4c6e",
    "region_slug": "nyc3",
    "reserved_at": "2024-11-20T11:08:30Z",
    "droplet": null
  }
}

More Information

See /v2/reserved_ipv6 in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.